## gkrellmapcupsd 0.02

=== Makefile ===

# gkrellmapcupsd
# Copyright by Greg Schenzel <inittab@unixdev.net>
# Makefile by Martin Wuertele <maxx@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#

CC=gcc
CLAGS=-Wall
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

PREFIX=/usr

INSTALL=install -m 755
RM=rm -f
RMDIR=rm -rf
INSTDIR=install -d

all:    gkrellmapcupsd

gkrellmapcupsd:
	$(CC) $(CFLAGS) -fPIC `pkg-config gtk+-2.0 --cflags` -Wunused -c gkrellmapcupsd.c 
	$(CC) $(CFLAGS) -lm -shared -o gkrellmapcupsd.so gkrellmapcupsd.o


install: gkrellmapcupsd
	$(INSTALL) ./gkrellmapcupsd.so $(PREFIX)/share/gkrellm2/plugins

uninstall:
	$(RM)	$(PREFIX)/share/gkrellm2/plugins/gkrellmapcupsd.so

clean:
	$(RMDIR) gkrellmapcupsd.o gkrellmapcupsd.so

=== debian/changelog ===
gkrellmapcupsd (0.02) unstable; urgency=low

  * New release.
  
 -- Greg Schenzel <inittab@netizenweb.com>  Sat, 5 Jul 2005 20:00:00 +0700
 

gkrellmapcupsd (0.01) unstable; urgency=low

  * Initial release.

 -- Greg Schenzel <inittab@netizenweb.com>  Sat, 5 Jul 2005 19:38:46 +0200

=== debian/control ===
Source: gkrellmapcupsd
Section: x11
Priority: optional
Build-Depends: debhelper (>= 4.1.16), gkrellm (>= 2.1.4), libgtk2.0-dev
Maintainer: Greg Schenzel <inittab@netizenweb.com>
Standards-Version: 3.6.1

Package: gkrellmapcupsd
Architecture: any
Depends: ${shlibs:Depends}, gkrellm (>= 2.1.4)
Description: gkrellm plugin displaying the current processor speed
 This gkrellm plugin shows information about your UPS controlled by
 apcupsd. apcupsd.status must be enabled and STATTIME should be set
 to a low value.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	install -d `pwd`/debian/gkrellmapcupsd/usr/lib/gkrellm2/plugins
	install -c -s -m0644 gkrellmapcupsd.so `pwd`/debian/gkrellmapcupsd/usr/lib/gkrellm2/plugins/gkrellmapcupsd.so
#	install -d `pwd`/debian/gkrellmapcupsd/usr/share/doc/gkrellmapcupsd
#	install -c -m0644 README `pwd`/debian/gkrellmapcupsd/usr/share/doc/gkrellmapcupsd
#	install -c -m0644 COPYING `pwd`/debian/gkrellmapcupsd/usr/share/doc/gkrellmapcupsd
#	gzip `pwd`/debian/gkrellmapcupsd/usr/share/doc/gkrellmapcupsd/*

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs 
	dh_installdeb
#	dh_perl
	dh_shlibdeps `pwd`/debian/gkrellmapcupsd/usr/lib/gkrellm/plugins/gkrellmapcupsd.so
	dh_gencontrol 
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gkrellmapcupsd 0.02ubuntu1

=== debian/changelog ===
gkrellmapcupsd (0.02ubuntu1) xenial; urgency=medium

  * debian/rules:
    - Remove legacy DH_COMPAT export.
    - Add recommended build-arch and build-indep targets.
    - Don't allow $(MAKE) clean to ignore errors.
    - Use dh_prep instead of dh_clean -k.
  * debian/compat: Indicate compatibility level of 9.
  * debian/control:
    - Build-depend on debhelper (>= 9).
    - Depend on ${misc:Depends}.
  * debian/copyright: Convert to UTF-8.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 17 Mar 2016 17:50:11 -0500

## gkrellmapcupsd 0.02ubuntu2

=== debian/changelog ===
gkrellmapcupsd (0.02ubuntu2) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:33:53 +0000

=== debian/control ===
Source: gkrellmapcupsd
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9), gkrellm (>= 2.1.4), libgtk2.0-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Greg Schenzel <inittab@netizenweb.com>
Standards-Version: 3.6.1

Package: gkrellmapcupsd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, gkrellm (>= 2.1.4)
Description: gkrellm plugin displaying the current processor speed
 This gkrellm plugin shows information about your UPS controlled by
 apcupsd. apcupsd.status must be enabled and STATTIME should be set
 to a low value.

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=3
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -22,7 +19,9 @@
 endif
 
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 
@@ -37,14 +36,14 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/<packagename>

## gkrellmapcupsd 0.02ubuntu3

=== debian/changelog ===
gkrellmapcupsd (0.02ubuntu3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Dec 2025 21:29:33 +0000
